Loading...
Searching...
No Matches
janus_network_address_string_buffer Struct Reference

Structure to hold human readable forms of network addresses in a tagged union which should be IPv4 and IPv6 compatible. Use the `family` member (either `AF_INET` or `AF_INET6`) to determine which type of representation is contained. More...

`#include <ip-utils.h>`

## Data Fields

int | family
union { |
char ipv4 [INET_ADDRSTRLEN] |
char ipv6 [INET6_ADDRSTRLEN] |
}; |

## Detailed Description

Structure to hold human readable forms of network addresses in a tagged union which should be IPv4 and IPv6 compatible. Use the `family` member (either `AF_INET` or `AF_INET6`) to determine which type of representation is contained.

See also
  man 7 ip
  man 7 ipv6
  `janus_network_address_to_string_buffer`

## Field Documentation

## [union]

union { ... } janus_network_address_string_buffer

## family

int janus_network_address_string_buffer::family

Should be either `AF_INET` for IPv4 or `AF_INET6` for IPv6.

## ipv4

char janus_network_address_string_buffer::ipv4[INET_ADDRSTRLEN]

## ipv6

char janus_network_address_string_buffer::ipv6[INET6_ADDRSTRLEN]

The documentation for this struct was generated from the following file:

- ip-utils.h